<html>
<head>
<title>OGRE: Ogre::ResourceGroupManager::ResourceLocation Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1ResourceGroupManager.html">ResourceGroupManager</a>::<a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceLocation.html">ResourceLocation</a></div>
<h1>Ogre::ResourceGroupManager::ResourceLocation Struct Reference</h1><!-- doxytag: class="Ogre::ResourceGroupManager::ResourceLocation" --><a class="el" href="classOgre_1_1Resource.html" title="Abstract class reprensenting a loadable resource (e.g.">Resource</a> location entry.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreResourceGroupManager_8h-source.html">OgreResourceGroupManager.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1ResourceGroupManager_1_1ResourceLocation-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1Archive.html">Archive</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceLocation.html#6c67405ce5274cbf9e7ecefc1840539b">archive</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Pointer to the archive which is the destination.  <a href="#6c67405ce5274cbf9e7ecefc1840539b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceLocation.html#89980295496fa459796c2561d0a40f3f">recursive</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Whether this location was added recursively.  <a href="#89980295496fa459796c2561d0a40f3f"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
<a class="el" href="classOgre_1_1Resource.html" title="Abstract class reprensenting a loadable resource (e.g.">Resource</a> location entry. 
<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h-source.html#l00212">212</a> of file <a class="el" href="OgreResourceGroupManager_8h-source.html">OgreResourceGroupManager.h</a>.</p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="6c67405ce5274cbf9e7ecefc1840539b"></a><!-- doxytag: member="Ogre::ResourceGroupManager::ResourceLocation::archive" ref="6c67405ce5274cbf9e7ecefc1840539b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Archive.html">Archive</a>* <a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceLocation.html#6c67405ce5274cbf9e7ecefc1840539b">Ogre::ResourceGroupManager::ResourceLocation::archive</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Pointer to the archive which is the destination. 
<p>

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h-source.html#l00215">215</a> of file <a class="el" href="OgreResourceGroupManager_8h-source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="89980295496fa459796c2561d0a40f3f"></a><!-- doxytag: member="Ogre::ResourceGroupManager::ResourceLocation::recursive" ref="89980295496fa459796c2561d0a40f3f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="structOgre_1_1ResourceGroupManager_1_1ResourceLocation.html#89980295496fa459796c2561d0a40f3f">Ogre::ResourceGroupManager::ResourceLocation::recursive</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Whether this location was added recursively. 
<p>

<p>Definition at line <a class="el" href="OgreResourceGroupManager_8h-source.html#l00217">217</a> of file <a class="el" href="OgreResourceGroupManager_8h-source.html">OgreResourceGroupManager.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreResourceGroupManager_8h-source.html">OgreResourceGroupManager.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:52:34 2008
</p>
</body>
</html>
